@import "libs/shared/assets/src/global-style/variable";

.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

nz-page-header {
  padding-top: 0;
  padding-bottom: 0;
  .mergeButton {
    background-color: $active-status-invisibile;
    border: none;
    font-weight: 600;
  }
}

.card-header {
  &__rangeDateTitle {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  &__rangeDate {
    width: 100%;
    margin-top: 4px;
    height: 42px;
    border-radius: 8px;
  }

  .emp-infoTitle {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  nz-input-number{
    width: 100%;
    border-radius: 8px;
    height: 44px;
    margin-top: 5px;
    padding-top: 5px;
  }

  &__btnGroup {
    margin-top: 15px;
    .search-btn {
      background-color: $active-status-invisibile;
      font-weight: 700;
      border: none;
    }

    .expand-btn {
      border-radius: 8px;
      margin-left: 15px;
    }
  }

  &__proposeCheckbox {
    margin-top: 30px;
  }
}

.data-table {
  margin-top: 1em;

  &__item {
    cursor: pointer;
  }

  &__statusDisplay {
    width: 100%;
    border-radius: 8px;
    height: 30px;
    padding: 5px;
    text-align: center;
  }

  &__parentPos {
    width: 500px;
  }

  &__subColumn {
    width: 200px;
  }

  .colRight {
    width: 140px;
  }

  &__handleBtn {
    margin-left: 0;
  }

  &__options {
    width: 100px;
  }

  &__approveButton {
    margin-left: 0;
  }
}

.approveTick {
  color: $active-status-green;
  font-size: 18px;
  margin-left: 20px;
  cursor: pointer;
}

.text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.text-center {
  text-align: center;
}

.ant-table-cell {
  padding: 4px;
}

::ng-deep .proposeCode {
  .ant-input-number-handler-wrap {
    border-bottom-right-radius: 8px;
    border-top-right-radius: 8px;
  }
}

.calendar {
  font-size: 15px;
  margin-left: 0;
}

.sentDate {
  margin-left: 10px;
}

::ng-deep .excelIcon {
  height: 12px;
}